Bug 19020 - RFE: nsswitch.conf does not correspond to a declared configuration
RFE: nsswitch.conf does not correspond to a declared configuration
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-13 00:31 EDT by Michal Jaegermann
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-04 13:03:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2000-10-13 00:31:28 EDT
A default '/etc/nsswitch.conf' has all these NIS entries even if
during an installation it was specified that NIS will be not used.
Assorted problems with networking can be traced to that - at least
in some configurations.

  Michal
  michal@harddata.com
Comment 1 Brock Organ 2000-10-17 10:32:28 EDT
Hmmm ... here are the entries from a minimal install (no NIS).  Which entries
cause problems for which configurations?

passwd:     files nisplus nis                                                   
shadow:     files nisplus nis                                                   
group:      files nisplus nis                                                   
hosts:      files nisplus nis dns                                               
bootparams: nisplus [NOTFOUND=return] files                                     
ethers:     files                                                               
netmasks:   files                                                               
networks:   files                                                               
protocols:  files nisplus nis                                                   
rpc:        files                                                               
services:   files nisplus nis                                                   
netgroup:   files nisplus nis                                                   
publickey:  nisplus                                                             
automount:  files nisplus nis                                                   
aliases:    files
nisplus
Comment 2 Brock Organ 2000-10-18 11:40:26 EDT
I don't see the harm in this configuration ... if nis is not present, any db
queries should fall back gracefully ...

from another point of view, though, it makes sense to not have the nis option
listed in the file (even if it does no harm!) ... so I will change this to an
enhancement request ... we'll address this in a future release ... thanks for
your report!
Comment 3 Michal Jaegermann 2000-10-18 14:12:07 EDT
> if nis is not present, any db queries should fall back gracefully ...

In theory you are right but in practice this does not seem to always happen. :-)
I heard from a number of people where a network was getting really confused
in a presence of those extra entries.  You may be right that bugs were elsewhere
and hacking /etc/nsswitch.conf only papers over the real problems.  OTOH
this was never really easy to catch in action but editing this configuration
file was usually clearing the troubles.
Comment 4 Michael Fulbright 2001-04-11 15:59:47 EDT
Any ideas Nalin?
Comment 5 Phil Copeland 2001-06-04 13:03:08 EDT
Still awaiting a response,....
Comment 6 Jeremy Katz 2001-08-09 23:43:00 EDT
No longer, we explicitly specify --disablenis when calling authconfig now if
you're not using NIS which will remove the line from the nsswitch.conf

Note You need to log in before you can comment on or make changes to this bug.